#include <string>
#include <iostream>

#include "../server/service_soap.h"
#include "beswsi_soapH.h"

#include "../../gridftp/fileroot.h"

HTTP_Service* beswsi_service_creator(HTTP_Connector& c,const char* uri,void* arg);
bool beswsi_service_configurator(std::istream& f,const char* uri,HTTP_Service_Properties &prop);

class HTTP_BESWSI_Handle;

class HTTP_BESWSI: public HTTP_ServiceAdv {
 friend int __beswsi__CreateActivityFromJSDL(struct soap*,_bes__CreateActivityFromJSDL*,_bes__CreateActivityFromJSDLResponse*);
 private:
  FilePlugin *jobplugin;
  userspec_t userspec;
 public:
  HTTP_BESWSI(HTTP_Connector *c,HTTP_BESWSI_Handle* h);
  virtual ~HTTP_BESWSI(void);
  virtual HTTP_Error get(const char* uri,int &keep_alive);
  virtual HTTP_Error put(const char* uri,int &keep_alive);
  virtual HTTP_Error post(const char* uri,int &keep_alive);
  virtual void soap_methods(void);
};

