/*
 * Created on Feb 14, 2006
 *
 * TODO Implement it, then write some documentation
 *
 */
package se.umu.jobsubmission.impl.informationfinder;

import java.util.Calendar;

import org.apache.axis.message.MessageElement;
import org.globus.mds.glue.GLUECERPType;
import org.globus.wsrf.encoding.ObjectDeserializer;

/**
 * @author tordsson
 *
 * TODO Add a proper description of this class. 
 */
public class LCGInformationConverter implements InformationConverter {
	
	/**
	 * This does exactly the same as the GT4InformationConverter. 
	 * Input is already in GLUE format. The GLUECERPType:any object
	 * contains the cache validity time in ms. 
	 */
	public Object convertInformation(Object nativeFormat) {
		
		
		GLUECERPType glueInfo = (GLUECERPType) nativeFormat; 
		Calendar validTo = null; 
		
		try { 
			MessageElement any[] = glueInfo.get_any(); 
			String s = (String) ObjectDeserializer.toObject(any[0], String.class); 
			long timeInMillis = new Long(s).longValue(); 
			validTo = Calendar.getInstance(); 
			validTo.setTimeInMillis(timeInMillis); 
		} catch (Exception e) {
			System.out.println("Ooops: "); 
			e.printStackTrace(); 
			validTo = Calendar.getInstance(); 
		}
		
		CachedResourceInformation info = new CachedResourceInformation(validTo, 
				glueInfo); 
		
		return info; 
	}
	
}
