package se.umu.wsag.impl; 

import javax.xml.namespace.QName;

/**
 * 
 * @author tordsson
 *
 * Various constants for the AgreementFactoryService. 
 */
public interface AgreementFactoryConstants {

     public static final String AGREEMENT_FACTORY_NS =
         "http://www.ggf.org/namespaces/ws-agreement"; 

     public static final QName AGREEMENT_FACTORY_RP = 
         new QName(AGREEMENT_FACTORY_NS, "AgreementFactoryProperties"); 
     
     public static final QName TEMPLATE_RP = 
         new QName(AGREEMENT_FACTORY_NS, "template");     
     


     public static final String serviceName = "AgreementFactoryService"; 

     
     // Probably not needed as factory is a singleton...
     // public static final QName AGREEMENT_RESOURCE_REF = 
     // new QName(AGREEMENT_FACTORY_NS, "AgreementFactoryResourceReference");

}
