#!/bin/sh

dir=`dirname $0`
dir=`cd $dir; pwd`

PACKAGE=$1

cat $dir/control.head

for i in $dir/*.summary
do
  eks="" 
  for e in $experimental
  do
    test x$e = x$i && eks="yes"
  done
  subpkg=`basename $i .summary`

  echo "Package: $PACKAGE-$subpkg"
  echo "Architecture: any"
  # Depends: wget, perl
  echo "Description: `cat $dir/$subpkg.summary|head -1`"
  cat $dir/$subpkg.desc|sed -e 's/^$/./' -e 's/^/ /'
  echo " ."
  echo " Homepage: http://www.nordugrid.org/"
  echo
done

